<?php

namespace App\Http\Controllers;
date_default_timezone_set('America/Mexico_city');
use Illuminate\Http\Request;
use Illuminate\Session\SessionManager;
use Illuminate\Http\UploadedFile;
use Illuminate\Support\Facades\Storage;
use App\Mail\EnvioMails;//Archivo PHP que se creo para el envio de archivos
use App\Mail\ServicioSocial;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Carbon\Carbon;
use App\Actividad;
use App\Alumno;
use App\Autorizacion;
use App\Calendario;
use App\Carrera;
use App\Carta;
use App\Dependencia;
use App\Evaluacion;
use App\EvaluacionAlumno;
use App\EventoCalendario;
use App\Membrete;
use App\Programa;
use App\RenglonEvaluacion;
use App\Reporte;
use App\ReporteEvaluacion;
use App\Respuesta;
use App\Solicitud;
use App\SubirArchivo;
use App\TipoArchivo;
use File;
use put;
use DB;
use PDF;
use Download;
use View;
use App;
use Mail;
use Session;
use csrf_token;
use QrCode;
use Validator;

class SolicitudController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(SessionManager $sm)
    {
        if (Session::has('nombre')) {
            $solicitudes = DB::table('gtv_solicitud')->join('gtv_alumno', 'gtv_solicitud.id_alu', '=', 'gtv_alumno.id_alu')->join('gtv_programa', 'gtv_solicitud.id_pro', '=', 'gtv_programa.id_pro')->where('status_sol', '=', 1)->get();
            return view('solicitudes.solicitudes')->with('solicitudes', $solicitudes);
        }else{          
            $sm->flash('mensaje', 'Por favor ingresa con tu cuenta de usuario...');
            return redirect("/");
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $solicitud = DB::table('gtv_solicitud')
    ->join('gtv_dependencia', 'gtv_dependencia.id_dep', '=', 'gtv_solicitud.id_dep')
    ->join('gtv_programa', 'gtv_solicitud.id_pro', '=', 'gtv_programa.id_pro')
    ->join('gtv_alumno', 'gtv_solicitud.id_alu', '=', 'gtv_alumno.id_alu')
    ->join('gtv_carrera', 'gtv_alumno.id_carr', '=', 'gtv_carrera.id_carr')
    ->where('gtv_solicitud.id_sol', '=', $id)
    ->first();

    //$solicitud = Solicitud::find($id);

        return response()->json($solicitud);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
